## net.i2p.router.tunnel.pool
Class BuildRequestor

    java.lang.Object
      net.i2p.router.tunnel.pool.BuildRequestor

class BuildRequestor
extends java.lang.Object

Field Summary
`(package private) static int` `REQUEST_TIMEOUT`

Constructor Summary
`(package private)` `BuildRequestor()`

Method Summary
`static void` `prepare(RouterContext ctx, PooledTunnelCreatorConfig cfg)` new style requests need to fill in the tunnel IDs before hand
`static void` `request(RouterContext ctx, TunnelPool pool, PooledTunnelCreatorConfig cfg, BuildExecutor exec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_TIMEOUT

    static final int REQUEST_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### BuildRequestor

    BuildRequestor()

Method Detail

### prepare

    public static void prepare(RouterContext ctx,
                               PooledTunnelCreatorConfig cfg)

  new style requests need to fill in the tunnel IDs before hand

### request

    public static void request(RouterContext ctx,
                               TunnelPool pool,
                               PooledTunnelCreatorConfig cfg,
                               BuildExecutor exec)